import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I<T> {
    a: T[];
    b: T[];
}
export interface O<T> {
    ab: T[];
}
export default class Concat<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ a, b }: I<T>, done: any): void;
}
